<template functional>
  <button
    :ref="data.ref"
    type="button"
    class="hamburger block px-2 focus:outline-none z-50"
    :class="[{ 'is-active': props.active }, data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    aria-label="menu"
    aria-controls="navbar-menu"
    :aria-expanded="props.active"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <span class="hamburger-box">
      <span class="hamburger-inner mt-1"></span>
    </span>
  </button>
</template>

<script>
export default {
  name: 'NavbarBurger',
  props: {
    active: { type: Boolean, default: false },
  },
};
</script>

<style lang="postcss">
.hamburger,
.hamburger.is-active {
  & .hamburger-inner,
  & .hamburger-inner::before,
  & .hamburger-inner::after {
    background-color: var(--navbar-text-color);
  }
}
</style>
